Bug 1851471 (CVE-2020-15563) - CVE-2020-15563 xen: inverted code paths in x86 dirty VRAM tracking leads to DoS (XSA-319)
Summary: CVE-2020-15563 xen: inverted code paths in x86 dirty VRAM tracking leads to D...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-15563
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1854463
Blocks: 1851487
TreeView+ depends on / blocked
 
Reported: 2020-06-26 16:22 UTC by Dhananjay Arunesh
Modified: 2020-07-21 18:50 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An invalid pointer dereference flaw was found in Xen. A malicious or buggy HVM guest may cause the hypervisor to crash, resulting in Denial of Service (DoS) affecting the entire host.
Clone Of:
Environment:
Last Closed: 2020-07-07 19:29:54 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-06-26 16:22:57 UTC
A vulnerability was found in xen, where a malicious or buggy HVM guest may cause the hypervisor to crash, resulting in Denial of Service (DoS) affecting the entire host.

Comment 1 Mauro Matteo Cascella 2020-07-01 15:47:16 UTC
Acknowledgments:

Name: the Xen project

Comment 3 Mauro Matteo Cascella 2020-07-06 14:02:11 UTC
Statement:

Xen versions 4.7 and earlier are not affected by this flaw. Arm systems are not affected, only x86 HVM guests using shadow paging can leverage the vulnerability. In addition there needs to be an entity actively monitoring a guest's video frame buffer (typically for display purposes) in order for such a guest to be able to leverage the vulnerability. x86 PV guests as well as x86 HVM guest using hardware assisted paging (HAP) cannot leverage the vulnerability.

Comment 4 Mauro Matteo Cascella 2020-07-06 14:02:13 UTC
Mitigation:

For HVM guest explicitly configured to use shadow paging (e.g. via the `hap=0` xl domain configuration file parameter), changing to HAP (e.g. by setting `hap=1`) will avoid exposing the vulnerability to those guests. HAP is the default (in upstream Xen), where the hardware supports it; so this mitigation is only applicable if HAP has been disabled by configuration.

Comment 5 Mauro Matteo Cascella 2020-07-07 13:59:27 UTC
External References:

https://xenbits.xen.org/xsa/advisory-319.html

Comment 6 Mauro Matteo Cascella 2020-07-07 14:02:07 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1854463]

Comment 7 Product Security DevOps Team 2020-07-07 19:29:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15563


Note You need to log in before you can comment on or make changes to this bug.